id: simple_assets
migration_group: asset_import
label: Simple Assets

source:
  plugin: csv
  path: public://migrate/simple_assets.csv
  delimiter: ','
  enclosure: '"'
  header_row_count: 1
  keys:
    - serial
  column_names:
    0:
      serial: 'Serial/Service Tag'
    1:
      type: 'Type'

process:
  type:
    plugin: default_value
    default_value: simple_asset
  uid:
    plugin: default_value
    default_value: 19
  title:
    plugin: concat
    source:
      - type
      - serial
    delimiter: ' '
  field_serial: serial
  field_type:
    plugin: entity_generate
    source: type

destination:
  plugin: entity:node